Name:           perl-OpenOffice-UNO
Version:        0.07
Release:        11%{?dist}
Summary:        Interface to OpenOffice's UNO run-time
License:        LGPLv2+ and SISSL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/OpenOffice-UNO/
Source0:        http://www.cpan.org/authors/id/M/MB/MBARBON/OpenOffice-UNO-%{version}.tar.gz
Patch0:         0001-Preserve-cflags.patch
Patch1:         0001-Hardcode-rpath-to-uno-library.patch
Patch2:         OpenOffice-UNO-0.07-libraries.patch
Patch3:         OpenOffice-UNO-0.07-cppumaker.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Path)
BuildRequires:  /usr/bin/ooffice
BuildRequires:  libreoffice-sdk >= 1:3
BuildRequires:  libreoffice-writer
BuildRequires:  libreoffice-calc
BuildRequires:  libreoffice-headless
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Don't provide UNO.so
%{?perl_default_filter}

%description
A bridge to the OpenOffice.org API.


%prep
%setup -q -n OpenOffice-UNO-%{version}
%patch0 -p1
%patch1 -p1
%patch2
%patch3

%build
. $(find %{_libdir}/libreoffice -name setsdkenv_unix.sh -print -quit)

# Auto-set bootstrap. Weird, but similar to what is done for python bindings.
awk '/bootstrap OpenOffice::UNO/ \
        {print "$ENV{URE_BOOTSTRAP} ||= \"vnd.sun.star.pathname:'$(echo %{_libdir}/libreoffice*/program/fundamentalrc)'\";"}
        {print}' UNO.pm >UNO-bootstrap.pm
mv UNO-bootstrap.pm UNO.pm

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
setsid ooffice --headless --accept='socket,host=localhost,port=8100;urp;StarOffice.ServiceManager' &
trap "kill -- -$! ||:" EXIT
# Try to avoid having tests running in parallel
sleep $(expr \( %__isa_bits - 30 \) \* 6)
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/OpenOffice*
%{_mandir}/man3/*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Petr Pisar <ppisar@redhat.com> - 0.07-10
- Perl 5.18 rebuild

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> - 0.07-9
- Add fix for cppumaker API change (#985849)

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.07-8
- Perl 5.18 rebuild

* Sun Feb  3 2013 Paul Howarth <paul@city-fan.org> - 0.07-7
- Drop requirement for libreoffice-sdk < 4; builds OK with LibreOffice 4
- Try to avoid having tests running in parallel

* Fri Nov  9 2012 Paul Howarth <paul@city-fan.org> - 0.07-6
- Tweak Makefile.PL so we don't end up finding libsal_textenc when we're
  looking for libuno_sal
- Don't rpm-provide UNO.so

* Wed Oct 31 2012 Tom Callaway <spot@fedoraproject.org> - 0.07-5
- Rebuild

* Wed Aug 08 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.07-4
- Forget OpenOffice.org
- Forget what?

* Sat Feb 11 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.07-3
- Add missing BRs, fix up the rpath patch (Petr Šabata, #788990)

* Sat Feb 11 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.07-2
- Correctly load SDK environment in fc18 (Petr Šabata, #788990)

* Wed Feb 08 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.07-1
- Specfile autogenerated by cpanspec 1.78
- Transmogrified
